unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, BcExplorerPanel;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Splitter1: TSplitter;
    Panel2: TPanel;
    Panel3: TPanel;
    Memo1: TMemo;
    Splitter2: TSplitter;
    ExplorerPanel1: TBcExplorerPanel;
    TreeView1: TTreeView;
    ExplorerPanel2: TBcExplorerPanel;
    Panel4: TPanel;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure ExplorerPanel1CloseClick(Sender: TObject;
      var AllowClose: Boolean);
    procedure ExplorerPanel2CloseClick(Sender: TObject;
      var AllowClose: Boolean);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.ExplorerPanel1CloseClick(Sender: TObject;
  var AllowClose: Boolean);
begin
  Beep;
  AllowClose := (Application.MessageBox('Do you really want to hide this panel?',
    'TExplorerPanel',MB_YESNO+MB_ICONINFORMATION) = ID_YES);
end;

procedure TForm1.ExplorerPanel2CloseClick(Sender: TObject;
  var AllowClose: Boolean);
begin
  Beep;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ExplorerPanel1.Visible := True;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  ExplorerPanel2.CloseButtonVisible := TCheckBox(Sender).Checked;
end;

end.
